/**
* 文件：ConfigFieldEntity.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.config.model;

import com.mortals.framework.model.BaseEntityLong;

import java.util.Date;

/**
 * <p>Title: 字段配置</p>
 * <p>Description: ConfigFieldEntity  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class ConfigFieldEntity extends BaseEntityLong{
	private static final long serialVersionUID = 1608874558656L;
	
	/** 关联主表表名 */
	private String tableCode;

	/** 字段编码，tableCode下唯一 */
	private String fieldCode;

	/** 字段名称 */
	private String fieldName;

	/** 数据类型，参数配置-ExtFieldType，默认varchar */
	private String fieldType;

	/** 数据长度，默认50 */
	private Long fieldLen;

	/** 允许为空，0否，1是，默认1 */
	private Long fieldNull;

	/** 排序号，默认0 */
	private Long fieldOrderNo;

	/** 备注 */
	private String remark;

	/** 是否启用，0否，1是 */
	private Integer enabled;

	/** 变更时间 */
	private Date updateTime;

	/** 变更用户loginName */
	private String updateUser;

	/** 创建时间 */
	private Date createTime;

	/** 创建用户loginName */
	private String createUser;


	public ConfigFieldEntity(){
		
	}
	/**
	 * 获取 关联主表表名
	 * @return tableCode
	 */
	public String getTableCode(){
		return this.tableCode;
	}

	/**
	 * 设置 关联主表表名
	 * @param tableCode
	 */
	public void setTableCode(String tableCode){
		this.tableCode = tableCode;
	}

	/**
	 * 获取 字段编码，tableCode下唯一
	 * @return fieldCode
	 */
	public String getFieldCode(){
		return this.fieldCode;
	}

	/**
	 * 设置 字段编码，tableCode下唯一
	 * @param fieldCode
	 */
	public void setFieldCode(String fieldCode){
		this.fieldCode = fieldCode;
	}

	/**
	 * 获取 字段名称
	 * @return fieldName
	 */
	public String getFieldName(){
		return this.fieldName;
	}

	/**
	 * 设置 字段名称
	 * @param fieldName
	 */
	public void setFieldName(String fieldName){
		this.fieldName = fieldName;
	}

	/**
	 * 获取 数据类型，参数配置-ExtFieldType，默认varchar
	 * @return fieldType
	 */
	public String getFieldType(){
		return this.fieldType;
	}

	/**
	 * 设置 数据类型，参数配置-ExtFieldType，默认varchar
	 * @param fieldType
	 */
	public void setFieldType(String fieldType){
		this.fieldType = fieldType;
	}

	/**
	 * 获取 数据长度，默认50
	 * @return fieldLen
	 */
	public Long getFieldLen(){
		return this.fieldLen;
	}

	/**
	 * 设置 数据长度，默认50
	 * @param fieldLen
	 */
	public void setFieldLen(Long fieldLen){
		this.fieldLen = fieldLen;
	}

	/**
	 * 获取 允许为空，0否，1是，默认1
	 * @return fieldNull
	 */
	public Long getFieldNull(){
		return this.fieldNull;
	}

	/**
	 * 设置 允许为空，0否，1是，默认1
	 * @param fieldNull
	 */
	public void setFieldNull(Long fieldNull){
		this.fieldNull = fieldNull;
	}

	/**
	 * 获取 排序号，默认0
	 * @return fieldOrderNo
	 */
	public Long getFieldOrderNo(){
		return this.fieldOrderNo;
	}

	/**
	 * 设置 排序号，默认0
	 * @param fieldOrderNo
	 */
	public void setFieldOrderNo(Long fieldOrderNo){
		this.fieldOrderNo = fieldOrderNo;
	}

	/**
	 * 获取 备注
	 * @return remark
	 */
	public String getRemark(){
		return this.remark;
	}

	/**
	 * 设置 备注
	 * @param remark
	 */
	public void setRemark(String remark){
		this.remark = remark;
	}

	/**
	 * 获取 是否启用，0否，1是
	 * @return enabled
	 */
	public Integer getEnabled(){
		return this.enabled;
	}

	/**
	 * 设置 是否启用，0否，1是
	 * @param enabled
	 */
	public void setEnabled(Integer enabled){
		this.enabled = enabled;
	}

	/**
	 * 获取 变更时间
	 * @return updateTime
	 */
	public Date getUpdateTime(){
		return this.updateTime;
	}

	/**
	 * 设置 变更时间
	 * @param updateTime
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}

	/**
	 * 获取 变更用户loginName
	 * @return updateUser
	 */
	public String getUpdateUser(){
		return this.updateUser;
	}

	/**
	 * 设置 变更用户loginName
	 * @param updateUser
	 */
	public void setUpdateUser(String updateUser){
		this.updateUser = updateUser;
	}

	/**
	 * 获取 创建时间
	 * @return createTime
	 */
	public Date getCreateTime(){
		return this.createTime;
	}

	/**
	 * 设置 创建时间
	 * @param createTime
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}

	/**
	 * 获取 创建用户loginName
	 * @return createUser
	 */
	public String getCreateUser(){
		return this.createUser;
	}

	/**
	 * 设置 创建用户loginName
	 * @param createUser
	 */
	public void setCreateUser(String createUser){
		this.createUser = createUser;
	}


	@Override
	public int hashCode() {
		return this.getId().hashCode();
	}
	@Override
	public boolean equals(Object obj) {
		if (obj == null)
			return false;
		if (obj instanceof ConfigFieldEntity) {
			ConfigFieldEntity tmp = (ConfigFieldEntity) obj;
			if (this.getId().longValue() == tmp.getId().longValue()) {
				return true;
			}
		}
		return false;
	}
	public String toString(){
		StringBuilder sb = new StringBuilder("");
		sb.append("id:").append(getId())
		  .append(",tableCode:").append(getTableCode())
		  .append(",fieldCode:").append(getFieldCode())
		  .append(",fieldName:").append(getFieldName())
		  .append(",fieldType:").append(getFieldType())
		  .append(",fieldLen:").append(getFieldLen())
		  .append(",fieldNull:").append(getFieldNull())
		  .append(",fieldOrderNo:").append(getFieldOrderNo())
		  .append(",remark:").append(getRemark())
		  .append(",enabled:").append(getEnabled())
		  .append(",updateTime:").append(getUpdateTime())
		  .append(",updateUser:").append(getUpdateUser())
		  .append(",createTime:").append(getCreateTime())
		  .append(",createUser:").append(getCreateUser());
		return sb.toString();
	}
	public void initAttrValue(){
		this.tableCode = null;
		this.fieldCode = null;
		this.fieldName = null;
		this.fieldType = null;
		this.fieldLen = 50L;
		this.fieldNull = 1L;
		this.fieldOrderNo = 0L;
		this.remark = null;
		this.enabled = null;
		this.updateTime = null;
		this.updateUser = null;
		this.createTime = null;
		this.createUser = null;
	}
}